Bug 8934 - [PATCH] Ссылки в мане не видны
: [PATCH] Ссылки в мане не видны
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/splint)
: unstable
: all Linux
: P2 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-01-25 21:06 by
Modified: 2008-05-13 10:39 (History)


Attachments
Fixed splint man page (723 bytes, patch)
2007-04-24 16:02, Slava Semushin
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-01-25 21:06:27
Решил попробовать splint и увидел, что в мане в конце написано:

%
If you need to get in contact with the authors send email to
or visit
%

И всё. Не виден email и URL тоже. Также перед секцией NAME отображается точка.
Да и программа упакована так давно, что даже страничка с маном не сжата ни
gzip'ом ни bzip'ом (полагаю тогда их не сжимали).
Steps to Reproduce:
1. man splint
------- Comment #1 From 2007-04-24 16:02:28 -------
Created an attachment (id=1924) [details]
Fixed splint man page

Патч для приведения ман страницы в ожидаемое состояние.
------- Comment #2 From 2007-04-24 16:04:46 -------
(In reply to comment #0)
> И всё. Не виден email и URL тоже.

Почему-то .UR/.UE для выделения адреса привели к такому явлению, что адреса в
итоге н видно совсем.

> Также перед секцией NAME отображается точка.

Это потому что автор добавил лишний пробел в начало строки перед комментарием.

> Да и программа упакована так давно, что даже страничка с маном не сжата ни
> gzip'ом ни bzip'ом (полагаю тогда их не сжимали).

Почему-то не сжимается и сейчас. Почему не знаю, обнаружить сходу не получилось.

------- Comment #3 From 2007-06-19 13:21:13 -------
2ldv@: Могу помочь в исправлении этой баги любым удобным тебе способом. NMU
выдашь?
------- Comment #4 From 2007-06-19 14:16:50 -------
Исправление доступно здесь:
http://git.altlinux.org/people/php_coder/packages/?p=splint.git;a=summary

Дима, смержи мою сборку или дай NMU. Заранее спасибо.
------- Comment #5 From 2007-06-19 16:21:34 -------
Спасибо.
------- Comment #6 From 2008-01-03 14:11:07 -------
Исправлено в splint-3.1.2-alt1